SERVICE(8)

NAME
service - control (start/stop/etc.) or list system services

SYNOPSIS
service [-j jail] -e
service [-j jail] -R
service [-j jail] [-v] -l
service [-j jail] [-v] -r
service [-j jail] [-v] script command

DESCRIPTION
The service command is an easy interface to the rc.d system. Its primary purpose is to start and stop services provided by the rc.d scripts. When used for this purpose it will set the same restricted environment that is in use at boot time ( see ENVIRONMENT). It can also be used to list the scripts using various criteria.

The options are as follows:

-e  List services that are enabled. The list of scripts to check is compiled using rcorder(8) the same way that it is done in rc(8), then that list of scripts is checked for an "rcvar" assignment. If present the script is checked to see if it is enabled.

-j jail
    Perform the given actions under the named jail. The jail argument can be either a jail ID or a jail name.

-l  List all files in /etc/rc.d and the local startup directories. As described in rc.conf(5) this is usually /usr/local/etc/rc.d. All files will be listed whether they are an actual rc.d script or not.

-r  Generate the rcorder(8) as in -e above, but list all of the files, not just what is enabled.

-R  Restart all enabled local services.

-v  Be slightly more verbose.

ENVIRONMENT
When used to run rc.d scripts the service command sets HOME to / and PATH to /sbin:/bin:/usr/sbin:/usr/bin which is how they are set in /etc/rc at boot time.

EXIT STATUS

EXAMPLES
The following are examples of typical usage of the service command:

    service named status
    service -j dns named status
    service -rv

The following programmable completion entry can be use in bash(1) for the names of the rc.d scripts:

    _service () {
    	local cur
    	cur=${COMP_WORDS[COMP_CWORD]}
    	COMPREPLY=( $( compgen -W '$( service -l )' -- $cur ) )
    	return 0
    }
    complete -F _service service

SEE ALSO
bash(1) (ports/shells/bash), rc.conf(5), rc(8), rcorder(8)

HISTORY
The service utility first appeared in FreeBSD 7.3.

AUTHORS
This manual page was written by Douglas Barton <dougb@FreeBSD.org>.